petsc-3.4.2 2013-07-02

# SNESLineSearchSetLambda

Sets the linesearch steplength.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetLambda(SNESLineSearch linesearch, PetscReal lambda)

### Input Parameters

| linesearch | - linesearch context
| lambda | - The last steplength.

### Notes

This routine is typically used within implementations of SNESLineSearchApply to set the final steplength. This routine (and SNESLineSearchGetLambda()) were added in order to facilitate Quasi-Newton methods that use the previous steplength as an inner scaling parameter.

### See Also

SNESLineSearchGetLambda()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages